#ifndef __CONFIG_H_
#define __CONFIG_H_

#define BUFFER_SIZE	8192

typedef struct {
    char*		name;
    int			logmode;
    int			loglevel;
    int			fps;
    int			input;
    float		freq;
    int			width;
    int			height;
    int			format;
    char*		device;
    int			smemid;
    void*		priv;
    } config_t;

config_t* seekconfigid(int id);
config_t* seekconfigname(char *name);
void configclear(config_t *ptr);
void configmix(config_t *to, config_t *from);
int loadconfig(char *fname);
int strlcmp(char* txt1,char* txt2);
int strcaselcmp(char* txt1,char* txt2);
int get_format(char *data);
void listformat(void);

#endif
